Name:          hicolor-icon-theme
Version:       0.18
Release:       1mamba
Summary:       Icon-theme contains the standard and also references the default icon theme called hicolor
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://icon-theme.freedesktop.org/wiki/HicolorTheme
Source:        http://icon-theme.freedesktop.org/releases/hicolor-icon-theme-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires(pre): %{_bindir}/gtk-update-icon-cache

%description
Hicolor-icon-theme is the default icon theme that all icon themes automatically inherit from.
The specification is availible at:
http://www.freedesktop.org/standards/icon-theme-spec/

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%meson_install

touch %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%transfiletriggerin -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :	
 
%postun
if [ $1 -eq 0 ]; then
   touch --no-create %{_datadir}/icons/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_datadir}/icons/hicolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/16x16/
%{_datadir}/icons/hicolor/16x16@2/
%{_datadir}/icons/hicolor/22x22/
%{_datadir}/icons/hicolor/22x22@2/
%{_datadir}/icons/hicolor/24x24/
%{_datadir}/icons/hicolor/24x24@2/
%{_datadir}/icons/hicolor/32x32/
%{_datadir}/icons/hicolor/32x32@2/
%{_datadir}/icons/hicolor/36x36/
%{_datadir}/icons/hicolor/36x36@2/
%{_datadir}/icons/hicolor/48x48/
%{_datadir}/icons/hicolor/48x48@2/
%{_datadir}/icons/hicolor/64x64/
%{_datadir}/icons/hicolor/64x64@2/
%{_datadir}/icons/hicolor/72x72/
%{_datadir}/icons/hicolor/72x72@2/
%{_datadir}/icons/hicolor/96x96/
%{_datadir}/icons/hicolor/96x96@2/
%{_datadir}/icons/hicolor/128x128/
%{_datadir}/icons/hicolor/128x128@2/
%{_datadir}/icons/hicolor/192x192/
%{_datadir}/icons/hicolor/192x192@2/
%{_datadir}/icons/hicolor/256x256/
%{_datadir}/icons/hicolor/256x256@2/
%{_datadir}/icons/hicolor/512x512/
%{_datadir}/icons/hicolor/512x512@2/
%{_datadir}/icons/hicolor/scalable/
%{_datadir}/icons/hicolor/symbolic/
%{_datadir}/icons/hicolor/index.theme
%ghost %{_datadir}/icons/hicolor/icon-theme.cache
%{_datadir}/pkgconfig/default-icon-theme.pc
%doc COPYING

%changelog
* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 0.18-1mamba
- automatic version update by autodist

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17-1mamba
- update to 0.17

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15-1mamba
- update to 0.15

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic update by autodist

* Mon Feb 04 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.12-1mamba
- update to 0.12

* Mon Jan 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-2mamba
- launch gtk-update-icon-cache after installation

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 0.10-1mamba
- update to 0.10

* Tue Jan 11 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1qilnx
- package created by autospec
